Page MenuHomePhabricator

Google Summer of Code Reunion
Closed, ResolvedPublic

Description

Some wikimedians are participating in the Google Summer of Code Reunion on 23-26 October 2014 in San Jose (CA, USA)

https://sites.google.com/site/gsocmentorsummitstudentreunion/

This is an experimental task for events:

  • Let's edit the description with the goal of creating a report of the event (kind of required, someone is paying a lot of money to get us there in the name of the Wikimedia community).
  • Let's add comments for whatever we feel like commenting (optional).
  • Anybody can ask/comment anything, and the participants in the event will do our best to reply (optional).

Event Timeline

Qgil created this task.Oct 21 2014, 2:47 PM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: ECT-October-2014.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, siebrand, KartikMistry.
Qgil moved this task from Backlog to Ready to Go on the ECT-October-2014 board.Oct 22 2014, 1:46 AM
Qgil added a subscriber: Lydia_Pintscher.EditedOct 25 2014, 6:15 PM

With @Lydia_Pintscher and @siebrand in a BoF about paid/unpaid contributors. I wonder whether we should try this idea of funding the budget for a sprint in some house where we combine employees and volunteers working on a project.

Qgil added a comment.Oct 25 2014, 6:32 PM

... and now @Lydia_Pintscher, @siebrand and myself happen to be in another BoF: Round table on diversity, trust and openness in Open Source

We seem to have similar tastes.

https://implicit.harvard.edu/implicit/ is a URL/site to look at. Haven't
researched fully, but looks interesting to find out where blind spots may
be.

In T764#15153, @Qgil wrote:

With @Lydia_Pintscher and @siebrand in a BoF about paid/unpaid contributors. I wonder whether we should try this idea of funding the budget for a sprint in some house where we combine employees and volunteers working on a project.

+1 aka "Sprints".

Qgil added a subscriber: Aklapper.Oct 25 2014, 10:02 PM

Google Code-in agenda will be posted on Monday! Two weeks to apply (Nov 10), and then organizations announced a couple of days later. 12 orgs this year (was 10).

Coding starts on December 1. Monday after Thanksgiving holidays. 7 weeks.

New: there will be a tag to define absolute beginner tasks. Because they found out that a big % of registered participants don't even dared to commit to a first task.

New: Quick overview to IRC (found to be a common problem among students), version control, being part of the community, quality over quantity. Seriously: quality over quantity, this is something that everybody needs to understand.

By the way, this is where the unconference schedule is posted: https://sites.google.com/site/gsocmentorsummitstudentreunion/weekend-sessions-schedule

Two sessions were merged, and I was there:

  • Global demographics of Open Source
  • GSoC and the Arab World -- why so few participants?
Qgil added a comment.Oct 25 2014, 11:15 PM

At Tips and best practices for Open Source Documentation, where people are discussing about using wikis vs using docbook... A bit of disperse discussion.

Anecdote: the guy sitting next to me said "The MediaWiki guys write API documentations because this is the only thing they will know to do", to which I replied, "Hi". Laughs in the room. :)))

I met and discussed with people from Wikieducator yesterday/today and how they can collaborate with us. Interaction with student from Punjab University was useful too (he has mw extension for BRL CAD project).

On other useful side:

  • Met Apertium upstream and had brief discussion on how we increase collaboration with each other. We already doing good here (See notes from Alex K somewhere in Gerrit :))
  • Lots of discussion with students from everywhere.
Qgil added a subscriber: Himeshi.Oct 28 2014, 7:55 AM
Qgil closed this task as Resolved.Nov 4 2014, 8:09 AM
Qgil claimed this task.

This is an experimental task for events:

It was an interesting experiment, although not very successful this first time. Basically, currently I'm just too busy to write a proper wrap-up, and it wouldn't be critical to our ongoing work.

For me the main usefulness of the event was to have several conversations with other projects in the lines of T926: Engage with established technical communities, remarkably OpenStreetMap, Software Freedom Conservancy, and Software in the Public Interest. It was also good to participate in the sessions to be informed and help shaping T561: Prepare Wikimedia's participation in Google Code-In and T921: Apply to GSoC 2015 and FOSS OPW round 10, both the official ones hosted by Google and the spontaneous ones organized by other mentors and org admins about specific topics.

Qgil moved this task from Ready to Go to Doing on the ECT-October-2014 board.Nov 4 2014, 8:16 AM